Key Details of Mackie Master Fader Classic

  • ***Master Fader 4 is now available. Please search the App Store and update to Master Fader 4 for the latest features and bug fixes. Master Fader...
  • Last updated on June 22, 2016
  • There have been 2 updates
  • Virus scan status:

    Clean (it's extremely likely that this software program is clean)


Enlarged image for Mackie Master Fader Class…
Mackie Master Fader Classic 0/1

Developer's Description

***Master Fader 4 is now available. Please search the App Store and update to Master Fader 4 for the latest features and bug fixes. Master Fader...
***Master Fader 4 is now available. Please search the App Store and update to Master Fader 4 for the latest features and bug fixes. Master Fader Classic is for use with iOS 6, 7 and 8. It is no longer supported or tested and is not designed for iOS 9 and is provided for compatibility with older installs only.***In order to provide additional flexibility for DL1608 and DL806 users, Mackie has released Master Fader Classic. Master Fader Classic is a separate app that is based on the simpler feature set of Master Fader v2.1. Having the option to keep your system on the version of Master Fader originally installed gives you the flexibility to control when and how to best upgrade. It also means that if Master Fader v2.1 does the job, you can continue to use it as long as you like. Master Fader Classic can be installed on the same iPad alongside the latest version of Master Fader v4.0. Its important to remember that the mixer firmware must match the version of Master Fader you wish to mix with. If your DL1608/DL806 is loaded with the firmware for Master Fader v2.1, Master Fader Classic will connect and work right away. However, if you have already upgraded you mixer firmware with Master Fader v4.0, you will need to downgrade the firmware in your mixer to use Master Fader Classic. For detailed instructions on installing Master Fader Classic, please visit http://mackie.com/sites/default/files/PRODUCT%20RESOURCES/SUPPORT_DOCS/Setup_Docs/DL%20Series_How%20To%20Install%20Master%20Fader%20Classic.pdfImportant Notes:* Master Fader Classic is for DL1608/DL806 only. * Master Fader v3.0 is required for the DL32R. * If your system is using Master Fader Classic, you will need to use My Fader v2.1 for compatibility. * Backups made in Master Fader v3.0 cannot be used in Master Fader Classic. * Master Fader classic does not receive regular bug fixes or compatibility updates. For the latest support, please use Master Fader 3.0.Requirements: * Requires iOS 7.1 or greater. The original iPad is no longer supported.* Wi-Fi router - For wireless control a Wi-Fi router is required. See the DL Series Reference Guide for complete information* DL1608 or DL806 Mixer - Master Fader does not mix audio on its own. It requires the DL Series mixer to fully function* Wireless Compatibility - DL Series mixers are compatible with the iPad Air 2, iPad Air, iPad (4th generation), iPad (3rd generation), iPad 2, iPad mini 3, iPad mini 2 and iPad mini.* Lightning Compatibility - Master Fader allows docked operation with the DL1608 or DL806 mixers with Lightning Connector with the iPad Air (using the optional iPad Air Tray Kit), iPad (4th generation), iPad mini 3, iPad mini 2 and iPad mini (using the optional iPad mini Tray Kit). * 30-Pin Compatibility - Master Fader allows docked operation with the DL1608 or DL806 mixers with 30-Pin Connector with the iPad (3rd generation) and iPad 2.Having trouble? Email techmail@mackie.com for support.


Explore More


Full Specifications

GENERAL
Release
March 24, 2015
Latest update
June 22, 2016
Version
2.1.1
OPERATING SYSTEMS
Platform
iOS
Operating System
iOS 12.1.2
Additional Requirements
Compatible with: ipad2wifi, ipad23g, ipadthirdgen, ipadthirdgen4g, ipadfourthgen, ipadfourthgen4g, ipadmini, ipadmini4g, ipad2wifi, ipad23g, ipadthirdgen, ipadthirdgen4g, ipadfourthgen, ipadfourthgen4g, ipadmini, ipadmini4g
POPULARITY
Total Downloads
126
Downloads Last Week
1

Related Software